<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */
 $path = get_template_directory_uri().'/images/'; //get the image folder of current theme
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
     <title><?php echo get_option('blogname'); ?> - Comments on <?php the_title(); ?></title>

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
		body { margin: 3px; }
	</style>

</head>
<body id="commentspopup">
	<div class="bloginfo">												
				<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
				<div class="description"><?php bloginfo('description'); ?></div>				
			</div>
	<?php
		/* Don't remove these lines. */
		add_filter('comment_text', 'popuplinks');
		if ( have_posts() ) :
		while ( have_posts() ) : the_post();
	?>
	<div id="wrapper">
		<div id="content">
			<div class="post-header">
				<h2 id="comments">
					Comments on:<br />
					<cite><?php the_title(); ?></cite>
				</h2>
				<p class="postmetadata">
				</p>				
			</div>		

<p><a href="<?php echo get_post_comments_feed_link($post->ID); ?>"><abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post.</a></p>

<?php if ('open' == $post->ping_status) { ?>
<p>The <abbr title="Universal Resource Locator">URL</abbr> to TrackBack this entry is: <em><?php trackback_url() ?></em></p>
<?php } ?>

<?php
// this line is WordPress' motor, do not delete it.
$commenter = wp_get_current_commenter();
extract($commenter);
$comments = get_approved_comments($id);
$post = get_post($id);
if ( post_password_required($post) ) {  // and it doesn't match the cookie
	echo(get_the_password_form());
} else { ?>

<?php 
	$avatar = get_avatar($comment,$size='35',$default="" );
  $path = get_template_directory_uri().'/images/'; //get the image folder of current theme
  //$GLOBALS['comment'] = $comment; ?>
	<?php if ($comments) { ?>
	<div id="comments">
		<ul id="commentlist">
			<?php foreach ($comments as $comment) { ?>
			<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
				<div id="div-comment-<?php comment_ID(); ?>">
					<div id="author-info" class="comment-author vcard">                 
						<?php 
							if ($avatar) 
								echo $avatar;
							else
								echo '<img alt="" src="' .$path. 'ping-track.png" class="avatar avatar-35 photo" width="35" height="35" />';
						?>                      
						<?php comment_type(); ?> from <?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
						<div class="comment-meta commentmetadata">Posted at: <a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
					</div>
					<?php if ($comment->comment_approved == '0') : ?>
						<em><?php _e('Your comment is awaiting moderation.') ?></em>
						<br />
					<?php endif; ?>    
					<?php comment_text() ?>
				</div>
			</li>
			<?php } // end for each comment ?>
		</ul>
	</div>
	<?php } else { // this is displayed if there are no comments so far ?>
	<p>No comments yet.</p>
	<?php } ?>
<?php if ('open' == $post->comment_status) { ?>
<div class="post-header">
				<h2>Leave a comment</h2>
				<p class="postmetadata">
				</p>				
			</div>	

<p>Line and paragraph breaks automatic, e-mail address never displayed.</p>
<p><small><acronym title="Hypertext Markup Language">HTML</acronym> allowed: <code><?php echo allowed_tags(); ?></code></small></p>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( $user_ID ) : ?>
	<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>
<?php else : ?>
	<p>
	  <input type="text" name="author" id="author" class="textarea" value="<?php echo $comment_author; ?>" size="28" tabindex="1" />
	   <label for="author">Name</label>
	</p>

	<p>
	  <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="28" tabindex="2" />
	   <label for="email">E-mail</label>
	</p>

	<p>
	  <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="28" tabindex="3" />
	   <label for="url"><abbr title="Universal Resource Locator">URL</abbr></label>
	</p>
<?php endif; ?>

	<p>
	  <label for="comment">Your Comment</label>
	<br />
	  <textarea name="comment" id="comment" cols="50" rows="4" tabindex="4"></textarea>
	</p>

	<p>
      <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
	  <input type="hidden" name="redirect_to" value="<?php echo attribute_escape($_SERVER["REQUEST_URI"]); ?>" />
	  <input name="submit" type="image" src="<?php echo $path; ?>sbmcbtn.png" tabindex="5" value="" />
	</p>
	<?php do_action('comment_form', $post->ID); ?>
</form>
<br />
<?php } else { // comments are closed ?>
<p>Sorry, the comment form is closed at this time.</p>
<?php }
} // end password check
?>



<?php // if you delete this the sky will fall on your head
endwhile; //endwhile have_posts()
else: //have_posts()
?>
<p>Sorry, no posts matched your criteria.</p>
<?php endif; ?>
<!-- // this is just the end of the motor - don't touch that line either :) -->
<?php //} ?>
</div>
</div> <!-- End div id=wrapper -->
<div id="footer">
		<div class="inner">
			<div class="close">
				<strong><a href="javascript:window.close()"><img src="<?php echo $path; ?>closebtn.png" alt"Close this window." /></a></strong>
			</div>
			<!-- If you'd like to support WordPress, having the "powered by" link somewhere on your blog is the best way; it's our only promotion or advertising. -->
			<div class="footer-info">
				Powered by <a href="http://wordpress.org/">WordPress</a><br />				
				<!-- <?php echo get_num_queries(); ?> queries. <?php timer_stop(1); ?> seconds. -->				
			</div>			
			<br style="clear:both;" />
		</div>
	</div>
<?php // Seen at http://www.mijnkopthee.nl/log2/archive/2003/05/28/esc(18) ?>
<script type="text/javascript">
<!--
document.onkeypress = function esc(e) {
	if(typeof(e) == "undefined") { e=event; }
	if (e.keyCode == 27) { self.close(); }
}
// -->
</script>
</body>
</html>
