<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */

if ( function_exists('register_sidebar') )
    register_sidebar(array(
				'name' => 'Sidebar Top',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
				'name' => 'Sidebar Left',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
if ( function_exists('register_sidebar') )
    register_sidebar(array(
				'name' => 'Sidebar Right',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));		
if ( function_exists('register_sidebar') )
    register_sidebar(array(
				'name' => 'Sidebar Bottom',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));	
		
function mytheme_comment($comment, $args, $depth) {  
  $avatar = get_avatar($comment,$size='35',$default="" );
	$t_imgpath = get_template_directory_uri().'/images/'; //get the image folder of current theme
  $GLOBALS['comment'] = $comment; ?>
  <li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
    <div id="div-comment-<?php comment_ID(); ?>">
      <div id="author-info" class="comment-author vcard"> 		
        <?php 
          if ($avatar) 
            echo $avatar;
          else
            echo '<img alt="" src="' .$t_imgpath. 'ping-track.png" class="avatar avatar-35 photo" width="35" height="35" />';
				?>
				<div class="info">
					<?php comment_type(); ?> from <?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
					<div class="comment-meta commentmetadata">Posted at: <a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
				</div>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
        <em><?php _e('Your comment is awaiting moderation.') ?></em>
        <br />
      <?php endif; ?>    

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php } 
function new_excerpt_length($length) {
	return 50;
}
add_filter('excerpt_length', 'new_excerpt_length');

function my_wp_list_pages(){
	$pages = get_pages('child_of=0&parent=0&number=5');
	foreach ($pages as $pagg) {
		if (is_page($pagg->ID)){
			$class = 'page_item page-item-'.$pagg->ID.' current_page_item';
		}else {
			$class = 'page_item page-item-'.$pagg->ID;
		}
  	$output = '<li class="'.$class.'" ><a href="'.get_page_link($pagg->ID).'" title="'.$pagg->post_title.'" >';
		$output .= $pagg->post_title;
		$output .= '</a></li> ';
	echo $output;
	}
}
function my_wp_list_pages_sidebar(){
	$pages = get_pages('offset=5&child_of=0&parent=0');
	if ($pages){
		echo '<li><h2>Pages</h2><ul>';
		foreach ($pages as $pagg) {
			if (is_page($pagg->ID)){
				$class = 'page_item page-item-'.$pagg->ID.' current_page_item';
			}else {
				$class = 'page_item page-item-'.$pagg->ID;
			}
			$output = '<li class="'.$class.'" ><a href="'.get_page_link($pagg->ID).'" title="'.$pagg->post_title.'" >';
			$output .= $pagg->post_title;
			$output .= '</a></li> ';
			echo $output;
		}
		echo '</ul></li>';
	}
}
?>
