<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */
 
 $path = get_template_directory_uri().'/images/'; //get the image folder of current theme
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
	<head profile="http://gmpg.org/xfn/11">
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<title><?php bloginfo('name'); ?> <?php wp_title('&mdash;', true, 'left'); ?> </title>
		<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
		<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
		<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
		<?php //comments_popup_script(500, 700); ?>
		<script type="text/javascript">
			/* <![CDATA[ */
			function start(){
				var msg = document.getElementById('srcinput');
				msg.onfocus = function () {set_focus_m(this);}
				msg.value = 'Your query here';
			}
			// Clear default value of the message field			
			function set_focus_m(t) {
				if (t.defaultValue == t.value)
				t.value = '';
			}
			window.onload = start;
			/* ]]> */
		</script>
		<?php wp_head(); ?>
</head>
<body>
	<div id="page">
		<div id="header">																
			<div class="bloginfo">												
				<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
				<div class="description"><?php bloginfo('description'); ?></div>				
			</div>
			<ul id="pagemenu"><li class="page_item page-item-home <?php if (is_home()) echo 'current_page_item'; ?>"><a href="<?php echo get_option('home'); ?>" title="Home">Home</a></li><?php my_wp_list_pages(); ?></ul>
		</div>

