<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */

get_header(); ?>

<div id="wrapper">
	<div id="content">

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
			<div class="post-header">
				<h2><?php the_title(); ?></h2>
				<p class="postmetadata">
					Posted on <?php the_time('F jS Y') ?> <!-- by <?php the_author() ?> --><br />
					<?php //Check if the page has ever been modified and display last modified if it has been 
						if (get_the_time() != get_the_modified_time() ) ?>
							Modified on <?php the_modified_date('F jS Y'); ?><br />
					<?php edit_post_link('Edit', '', ''); ?> 					
				</p>
			</div>
			<div class="entry">
				<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

			</div>
		</div>
		<?php comments_template(); ?>
		<?php endwhile; endif; ?>	
	</div>

<?php get_sidebar(); ?>
<br style="clear:both;" />
</div><!-- End wrapper div -->
<?php get_footer(); ?>