<?php
/**
 * @package WordPress
 * @subpackage Blue_Dream_Theme
 */
 $path = get_template_directory_uri().'/images/'; //get the image folder of current theme
?>
	<div id="sidebar">		
		<div id="sidebar-top">
			<ul>	
			<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Top') ) : /* Widgetized sidebar, if you have the plugin installed. */ ?>
				<li>
					<div class="before"><div class="after"><h2 class="widgettitle">Welcome visitor!</h2></div></div>
					<p>This sample text is useful for making a short presentation of your site, or for displaying widgets or ads which require a bit extra width. Edit this text in sidebar.php - or add a sidebar to the "Sidebar Top" widget area to change this text...</p>
				</li>	
			<?php endif; ?>	
			</ul>			
			<div id="search">
				<form method="get" id="srcform" action="<?php bloginfo('url'); ?>/" >
					<div>
						<input value="Your query here" type="text" name="s" id="srcinput" />
						<input type="image" id="srcbutton" value="" src="<?php echo $path; ?>searchbtn.png"/>
					</div>
				</form>		
			</div>
		</div>		
		<div id="sidebar-left">
			<ul>
				<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Left') ) : /* Widgetized sidebar, if you have the plugin installed. */ ?>
					<?php my_wp_list_pages_sidebar(); ?>
					<?php wp_list_pages('title_li=<h2>Subpages</h2>&child_of='.$post->ID ); ?>
					<?php wp_list_categories('show_count=1&title_li=<h2>Categories</h2>'); ?>	
					<li><h2>Archives</h2>
						<ul>
							<?php wp_get_archives('type=monthly'); ?>
						</ul>
					</li>
									
				<?php endif; // End widgetized sidebar left ?>
			</ul>
		</div>
		
		<div id="sidebar-right">
			<ul>
				<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Right') ) : /* Widgetized sidebar, if you have the plugin installed. */ ?>					
					<li><h2>Meta</h2>
						<ul>
							<?php wp_register(); ?>
							<li><?php wp_loginout(); ?></li>
							<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
							<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
							<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
							<?php wp_meta(); ?>
						</ul>
					</li>	
					<?php wp_list_bookmarks(); ?>
				<?php endif; // End widgetized sidebar Right ?>
			</ul>
		</div>
		<br class="clear" />
		<div id="sidebar-bottom">
			<ul>	
			<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar Bottom') ) : /* Widgetized sidebar, if you have the plugin installed. */ ?>
				<li id="calendar-bottom" class="widget widget_bottom">		
					<div class="h2-bg"><h2 class="widgettitle">Calendar</h2></div>
					<?php get_calendar(); ?>
				</li>	
			<?php endif; ?>	
			</ul>						
		</div>	
	</div>

